import 'package:flutter/material.dart';

///颜色
final scheme = ColorScheme.fromSeed(
  primary: Color(0xff3784f1),
  seedColor: Color(0xff3885f2),
  brightness: Brightness.light,
  //卡片色
  surface: Colors.white,
  surfaceContainerLow: Color(0xFFF4F8FB),
  surfaceContainer: Color(0xFFE9ECF3),
  surfaceContainerHigh: Color(0xFFDDE2EA),
  //颜色
  onSurfaceVariant: Color(0xFF828282),

  shadow: Color.fromRGBO(0, 0, 0, 0.1),
);

///字体
final textTheme = TextTheme(
  titleLarge: TextStyle(fontSize: 24, fontWeight: FontWeight.w700, color: scheme.onSurface),
  titleMedium: TextStyle(fontSize: 20, fontWeight: FontWeight.w700, color: scheme.onSurface),
  titleSmall: TextStyle(fontSize: 16, fontWeight: FontWeight.w700, color: scheme.onSurface),
  bodyLarge: TextStyle(fontSize: 18),
  bodyMedium: TextStyle(fontSize: 16),
  bodySmall: TextStyle(fontSize: 14),
  labelLarge: TextStyle(fontSize: 16, color: scheme.onSurfaceVariant),
  labelMedium: TextStyle(fontSize: 14, color: scheme.onSurfaceVariant),
  labelSmall: TextStyle(fontSize: 12, color: scheme.onSurfaceVariant),
);
